curl --request POST \
--url https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api_key>' \
--data '
{
"references": {}
}
'import requests
url = "https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm"
payload = { "references": {} }
headers = {
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"api_key": "<api_key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Frankie-CustomerID': '<x-frankie-customerid>',
api_key: '<api_key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({references: {}})
};
fetch('https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}Document Analysis Result Confirmation
Confirm Document Analysis Results
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
Path Parameters
Unique identifier for a document
Unique FrankieOne identifier for an entity
An identifier to uniquely identify a specific instance of analysis
Body
Response
OK
The unique request identifier for the API call made.
"01HN9XHZN6MGXM9JXG50K59Q85"
Was this page helpful?